Bug 247866 - xm create command line from vm.sh is wrong
xm create command line from vm.sh is wrong
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rgmanager (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Lon Hohberger
Depends On:
  Show dependency treegraph
Reported: 2007-07-11 15:33 EDT by Lon Hohberger
Modified: 2009-04-16 18:37 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2008-0353
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-21 10:30:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Lon Hohberger 2007-07-11 15:33:06 EDT
+++ This bug was initially created as a clone of Bug #247154 +++

Description of problem:

vm.sh from rgmanager builds command lines using a deprecated 'restart="never"'
command line.  This does not work with xen 3.0.x any more.  Creation completes
successfully, but on_restart and on_crash are set to "restart" instead of
"destroy" the way they should be.

The fixed vm.sh as part of bug #247154 fixes this bug as a side effect.
Comment 1 RHEL Product and Program Management 2007-10-15 23:54:51 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
Comment 4 errata-xmlrpc 2008-05-21 10:30:29 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.